cURL
curl --request GET \
--url https://apidev.nusd.me/nps/chainsimport requests
url = "https://apidev.nusd.me/nps/chains"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://apidev.nusd.me/nps/chains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://apidev.nusd.me/nps/chains"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://apidev.nusd.me/nps/chains")
.asString();{
"status": 0,
"data": {
"total": 123,
"chains": [
{
"chain_id": "BASE_ETH",
"chain_identifier": "ETH",
"native_token_id": "ETH",
"confirming_threshold": 12,
"explorer_tx_url": "https://basescan.org/tx/{hash}",
"explorer_address_url": "https://basescan.org/address/{address}",
"enabled": true
}
]
},
"msg": "<string>"
}{
"status": 0,
"data": {
"total": 123,
"chains": [
{
"chain_id": "BASE_ETH",
"chain_identifier": "ETH",
"native_token_id": "ETH",
"confirming_threshold": 12,
"explorer_tx_url": "https://basescan.org/tx/{hash}",
"explorer_address_url": "https://basescan.org/address/{address}",
"enabled": true
}
]
},
"msg": "<string>"
}Basics
Supported Chains
All supported chains.
GET
/
nps
/
chains
cURL
curl --request GET \
--url https://apidev.nusd.me/nps/chainsimport requests
url = "https://apidev.nusd.me/nps/chains"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://apidev.nusd.me/nps/chains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://apidev.nusd.me/nps/chains"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://apidev.nusd.me/nps/chains")
.asString();{
"status": 0,
"data": {
"total": 123,
"chains": [
{
"chain_id": "BASE_ETH",
"chain_identifier": "ETH",
"native_token_id": "ETH",
"confirming_threshold": 12,
"explorer_tx_url": "https://basescan.org/tx/{hash}",
"explorer_address_url": "https://basescan.org/address/{address}",
"enabled": true
}
]
},
"msg": "<string>"
}{
"status": 0,
"data": {
"total": 123,
"chains": [
{
"chain_id": "BASE_ETH",
"chain_identifier": "ETH",
"native_token_id": "ETH",
"confirming_threshold": 12,
"explorer_tx_url": "https://basescan.org/tx/{hash}",
"explorer_address_url": "https://basescan.org/address/{address}",
"enabled": true
}
]
},
"msg": "<string>"
}Query Parameters
Chain ID (optional).
Example:
"BASE_ETH"
Chain identifier (optional).
Example:
"ETH"
Page number.
Items per page. Default: 20. Max: 100.
⌘I